import 'package:event_bus_plus/event_bus_plus.dart';

class FollowAppEvent extends AppEvent {
  FollowAppEvent(this.username, {String? id});

  final String username;

  @override
  List<Object?> get props => [username];
}

class NewComment extends AppEvent {
  NewComment(this.text, {String? id});

  final String text;

  @override
  List<Object?> get props => [text];
}

class UrlEvent extends AppEvent {
  UrlEvent(this.url);

  final String url;

  @override
  List<Object?> get props => [url];
}

class VisitPhotoCountEvent extends AppEvent {
  VisitPhotoCountEvent(this.id_visite, this.photoCount);

  final int id_visite;
  final int photoCount;

  @override
  List<Object?> get props => [id_visite, photoCount];
}

class RefreshCalendarEvent extends AppEvent {
  RefreshCalendarEvent(this.refreshDate);

  final String refreshDate;

  @override
  List<Object?> get props => [refreshDate];
}
